<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shop_offers', function (Blueprint $table) {
            $table->mediumIncrements('id');
            $table->unsignedMediumInteger('article_id')->nullable()->index('article_id');
            $table->unsignedTinyInteger('status_id')->nullable()->index('status_id');
            $table->unsignedMediumInteger('variation_id')->nullable()->index('variation_id');
            $table->unsignedMediumInteger('tariff_id')->nullable()->index('tariff_id');
            $table->unsignedMediumInteger('weight')->nullable();
            $table->text('description')->nullable();
            $table->unsignedDecimal('stock_current', 10)->nullable();
            $table->unsignedDecimal('stock_delayed', 10)->nullable();
            $table->tinyText('delay_type')->nullable();
            $table->unsignedTinyInteger('stock_ondemand')->nullable();
            $table->unsignedDecimal('minimum_ondemand', 10)->nullable();
            $table->unsignedSmallInteger('created_by')->nullable();
            $table->unsignedSmallInteger('updated_by')->nullable();
            $table->unsignedSmallInteger('deleted_by')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shop_offers');
    }
};
